1. Webhooks
Menoo
  • Locations
    • List all locations
      GET
    • Get a single location
      GET
  • Menus
    • List menus
      GET
    • Get a single menu with categories and items
      GET
  • Items
    • List all items in a menu
      GET
    • Update an item
      PUT
    • Toggle item availability
      POST
  • Webhooks
    • Menu created
    • Menu updated
    • Menu deleted
    • Menu toggled
    • Category created
    • Category updated
    • Category deleted
    • Item created
    • Item updated
    • Item deleted
    • Item availability toggled
    • Location created
    • Location updated
    • Location deleted
  • Schemas
    • Location
    • Menu
    • MenuDetail
    • Category
    • CategoryDetail
    • Item
    • Error
    • WebhookPayload
  1. Webhooks

Location updated

Webhook
POST
location.updated
Fired when a location's name, handle, address, or phone changes.

Request

Body Params application/json

Responses

🟢200OK
Delivery accepted.
This response does not have a body.
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://your-api-server.com' \
--header 'Content-Type: application/json' \
--data '{
    "event": "menu.created",
    "timestamp": "2026-01-15T10:30:00Z",
    "data": {
        "item_id": 301,
        "menu_id": 101,
        "is_available": false
    }
}'
Modified at 2026-05-13 14:17:31
Previous
Location created
Next
Location deleted
Built with